All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::SubThreadQueueInOut< TDatums, TWorker, TQueue > Class Template Reference

`#include <subThreadQueueInOut.hpp>`

Inherits op::SubThread< TDatums, TWorker >.

## Public Member Functions

| SubThreadQueueInOut (const std::vector< TWorker > &tWorkers, const std::shared_ptr< TQueue > &tQueueIn, const std::shared_ptr< TQueue > &tQueueOut)
virtual | ~SubThreadQueueInOut ()
bool | work ()
Public Member Functions inherited from op::SubThread< TDatums, TWorker >
| SubThread (const std::vector< TWorker > &tWorkers)
virtual | ~SubThread ()
void | initializationOnThread ()

## Additional Inherited Members

Protected Member Functions inherited from op::SubThread< TDatums, TWorker >
size_t | getTWorkersSize () const
bool | workTWorkers (TDatums &tDatums, const bool inputIsRunning)

## Constructor & Destructor Documentation

template<typename TDatums , typename TWorker , typename TQueue >

op::SubThreadQueueInOut< TDatums, TWorker, TQueue >::SubThreadQueueInOut | ( | const std::vector< TWorker > & | tWorkers,
|  | const std::shared_ptr< TQueue > & | tQueueIn,
|  | const std::shared_ptr< TQueue > & | tQueueOut
| ) |  |

template<typename TDatums , typename TWorker = std::shared_ptr<Worker<TDatums>>, typename TQueue = Queue<TDatums>>

virtual op::SubThreadQueueInOut< TDatums, TWorker, TQueue >::~SubThreadQueueInOut | ( |  | ) |

virtual

## Member Function Documentation

template<typename TDatums , typename TWorker = std::shared_ptr<Worker<TDatums>>, typename TQueue = Queue<TDatums>>

bool op::SubThreadQueueInOut< TDatums, TWorker, TQueue >::work | ( |  | ) |

virtual

Implements op::SubThread< TDatums, TWorker >.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/thread/subThreadQueueInOut.hpp